Bug 121483 - Deadlock when creating configuration
Deadlock when creating configuration
Status: RESOLVED FIXED
Product: javame
Classification: Unclassified
Component: Build System
6.x
PC Linux
: P2 (vote)
: 6.x
Assigned To: Adam Sotona
issues@mobility
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 15:43 UTC by Lukas Hasik
Modified: 2007-12-07 16:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thead dump (17.63 KB, text/plain)
2007-11-08 15:44 UTC, Lukas Hasik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2007-11-08 15:43:14 UTC
-created a new mobility project with a java class
-add a few configurations to the project
->deadlock
Comment 1 Lukas Hasik 2007-11-08 15:44:09 UTC
Created attachment 52727 [details]
thead dump
Comment 2 Lukas Hasik 2007-11-08 15:52:41 UTC
happens on Linux and jdk1.6(_03, _05). It was most times reproducible when entering Add Configuration dialog with combo
value  "add configuration..." in project properties
Comment 3 Adam Sotona 2007-11-09 09:16:29 UTC
GTK is calling method getName on a painted component and the method is synchronized with the whole component.
This is causing deadlock with our internal component synchronization.

Fixed in trunk by using a different locker for the synchronization.

Checking in CustomizerMIDP.java;
/cvs/mobility/project/src/org/netbeans/modules/mobility/project/ui/customizer/CustomizerMIDP.java,v  <-- 
CustomizerMIDP.java
new revision: 1.8; previous revision: 1.7
done

http://www.netbeans.org/source/browse/mobility/project/src/org/netbeans/modules/mobility/project/ui/customizer/CustomizerMIDP.java?r1=1.7&r2=1.8




By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo